Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## madkit.kernel
Class NetworkRequest

    java.lang.Object
      madkit.kernel.Message
          madkit.kernel.NetworkRequest

All Implemented Interfaces:
  java.io.Serializable, java.lang.Cloneable, PrivateMessage

    public final class NetworkRequest

extends Message
implements PrivateMessage

This message class is to be used to communicate with the siteAgent of the corresponding running kernel.

Version:
  1.0
Author:
  Fabien Michel 16/01/02
See Also:
  Serialized Form

Field Summary
`static int` | `BE_COMMUNICATOR`
`static int` | `CONNECTION_REQUEST`
`static int` | `DECONNECTED_FROM`
`static int` | `DISABLE_MOBILITY` Used to update Mobility status for a distant agency when JXTACommunicator is used
`static int` | `ENABLE_MOBILITY`
`static int` | `GET_AVAILABLE_DESTINATIONS`
`static int` | `INJECT_MESSAGE`
`static int` | `JOIN_COMMUNITY`
`static int` | `LEAVE_COMMUNITY`
`static int` | `REQUEST_MIGRATION`
`static int` | `STOP_COMMUNICATOR`
`static int` | `UPDATE_AGENCIES_INFORMATIONS` Used to allow an agent to get the KernelAddress of the agent named name.

Constructor Summary
`NetworkRequest(int requestCode)`
`NetworkRequest(int requestCode, java.lang.Object argument)`

Method Summary
`java.lang.Object` | `getArgument()`
`int` | `getRequestCode()`

Methods inherited from class madkit.kernel.Message
`clone, getCreationDate, getReceiver, getSender, toString`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### BE_COMMUNICATOR

    public static final int BE_COMMUNICATOR

See Also:
  Constant Field Values

### STOP_COMMUNICATOR

    public static final int STOP_COMMUNICATOR

See Also:
  Constant Field Values

### CONNECTION_REQUEST

    public static final int CONNECTION_REQUEST

See Also:
  Constant Field Values

### DECONNECTED_FROM

    public static final int DECONNECTED_FROM

See Also:
  Constant Field Values

### GET_AVAILABLE_DESTINATIONS

    public static final int GET_AVAILABLE_DESTINATIONS

See Also:
  Constant Field Values

### REQUEST_MIGRATION

    public static final int REQUEST_MIGRATION

See Also:
  Constant Field Values

### INJECT_MESSAGE

    public static final int INJECT_MESSAGE

See Also:
  Constant Field Values

### JOIN_COMMUNITY

    public static final int JOIN_COMMUNITY

See Also:
  Constant Field Values

### LEAVE_COMMUNITY

    public static final int LEAVE_COMMUNITY

See Also:
  Constant Field Values

### UPDATE_AGENCIES_INFORMATIONS

    public static final int UPDATE_AGENCIES_INFORMATIONS

  Used to allow an agent to get the KernelAddress of the agent named name.
  The Argument containts: the name of the kernel the agent is looking for.

  See Also:
    Constant Field Values

### DISABLE_MOBILITY

    public static final int DISABLE_MOBILITY

  Used to update Mobility status for a distant agency when JXTACommunicator is used

  See Also:
    Constant Field Values

### ENABLE_MOBILITY

    public static final int ENABLE_MOBILITY

See Also:
  Constant Field Values

Constructor Detail

### NetworkRequest

    public NetworkRequest(int requestCode)

### NetworkRequest

    public NetworkRequest(int requestCode,
                          java.lang.Object argument)

Method Detail

### getRequestCode

    public int getRequestCode()

### getArgument

    public java.lang.Object getArgument()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © Madkit Team (O. Gutknecht, J. Ferber, F. Michel et al.) All Rights Reserved.